Package Details: tilix-bin 1.9.4-1

Git Clone URL: https://aur.archlinux.org/tilix-bin.git (read-only, click to copy)
Package Base: tilix-bin
Description: A tiling terminal emulator based on GTK+ 3 (binary distribution)
Upstream URL: https://github.com/gnunn1/tilix
Keywords: terminal terminix tilix
Licenses: MPL
Conflicts: terminix, tilix
Provides: terminix, tilix
Submitter: dsboger
Maintainer: eatmyvenom
Last Packager: eatmyvenom
Votes: 146
Popularity: 0.036817
First Submitted: 2017-03-23 14:37
Last Updated: 2021-03-15 04:51

Pinned Comments

dsboger commented on 2016-03-19 16:10

@zeldovich Hello! Are you using Antergos? They have a terminix in the [antergos] repo that customizes the GSettings schema file. The problem is they use an auto-build tool and not always check that they need to update the schemas. It has happened before.

If that is the case, please either make sure you install from AUR or report the bug to Antergos. Thanks!

Latest Comments

1 2 3 4 5 6 ... Next › Last »

eatmyvenom commented on 2021-03-15 04:53

@Urgau your patch has been applied. Please let me know if there are further issues with this package.

Urgau commented on 2021-03-08 16:56

I was to fix the PKGBUILD with:

diff --git a/PKGBUILD b/PKGBUILD
index 03e71d3..c58b5d1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,5 +22,5 @@ source=(${_pkgname}-${pkgver}.zip::https://github.com/gnunn1/tilix/releases/down
 md5sums=('7b8e24c0cafb04b070b1167985a9d597')

 package() {
-       cp -ar $srcdir/usr $pkgdir/usr
+       cp -ar "${_pkgname}-${pkgver}" $pkgdir/usr
 }

Happy commented on 2021-03-05 10:46

@rageltman

I was able to fix it like this. However I am not sure why this was necessary...

tar -xzf tilix-bin.tar.gz

cd tilix-bin

makepkg -s

# wait for it to fail

rm -rf src

mkdir src

unzip tilix-1.9.4.zip

mv tilix-1.9.4 src/usr

makepkg -s

sudo pacman -U tilix-bin-1.9.4-1-x86_64.pkg.tar.xz

rageltman commented on 2021-02-27 16:10

Something is opaquely broken in package():

[2021-02-27T05:37:56.548Z] ==> Checking buildtime dependencies...
[2021-02-27T05:37:56.548Z] ==> Retrieving sources...
[2021-02-27T05:37:56.548Z]   -> Found tilix-1.9.4.zip
[2021-02-27T05:37:56.548Z] ==> WARNING: Skipping all source file integrity checks.
[2021-02-27T05:37:56.548Z] ==> Extracting sources...
[2021-02-27T05:37:56.548Z]   -> Extracting tilix-1.9.4.zip with bsdtar
[2021-02-27T05:37:56.548Z] ==> Entering fakeroot environment...
[2021-02-27T05:37:56.548Z] ==> Starting package()...
script returned exit code 255

EDIT: getting a slightly more verbose failure now -

[2021-03-04T01:18:59.231Z] ==> Retrieving sources...
[2021-03-04T01:18:59.231Z]   -> Found tilix-1.9.4.zip
[2021-03-04T01:18:59.231Z] ==> WARNING: Skipping all source file integrity checks.
[2021-03-04T01:18:59.231Z] ==> Extracting sources...
[2021-03-04T01:18:59.231Z]   -> Extracting tilix-1.9.4.zip with bsdtar
[2021-03-04T01:18:59.231Z] ==> Entering fakeroot environment...
[2021-03-04T01:18:59.231Z] ==> Starting package()...
[2021-03-04T01:18:59.231Z] cp: cannot stat '/startdir/src/usr': No such file or directory
[2021-03-04T01:18:59.231Z] ==> ERROR: A failure occurred in package().
[2021-03-04T01:18:59.231Z]     Aborting...
script returned exit code 25

dsboger commented on 2019-03-12 00:16

Hi community. I'm sorry to say that I'm not having enough time to maintain this and other AUR packages anymore. I'm disowning this in hopes that someone else will give it the love it deserves. Cya!

dsboger commented on 2018-03-14 02:28

@hobbledehoy899 not exactly. This package simply wraps the binaries compiled by the maintainer, available in github releases. The tilix package in [community] is compiled from source by the downstream maintainer. The main difference is that this package does not depend on gtkd, since upstream binary is linked statically.

I'll keep this package here because the upstream maintainer sometimes asks bug reporters to check if the problem also exists in this version, indicating that the problem is probably in the package and not in the code.

hobbledehoy899 commented on 2018-03-14 01:05

Isn't this package redundant now that Tilix is in the official repositories?

dsboger commented on 2018-02-18 17:41

@Preisschild It seems the nautilus extension already supports python3. Thanks for the heads up! It's fixed.

Preisschild commented on 2018-02-18 09:11

Please replace python2-nautilus with python-nautilus in optional dependencies, because python2-nautilus is conflicting with python-nautilus.

j1simon commented on 2018-01-10 16:37

It shows 2 times "Open Tilix Here" in Nautilus: https://i.imgur.com/xO22H2g.jpg

With the tilix-git version it worked well.